"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf, __hasOwnProp = Object.prototype.hasOwnProperty;
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from == "object" || typeof from == "function")
    for (let key of __getOwnPropNames(from))
      !__hasOwnProp.call(to, key) && key !== except && __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: !0 }) : target,
  mod
));
var import__ = __toESM(require("..")), platformSpecific = function(x) {
  return x;
};
describe("processColor", function() {
  describe("predefined color names", function() {
    it("should convert red", function() {
      var colorFromString = (0, import__.default)("red"), expectedInt = 4294901760;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    }), it("should convert white", function() {
      var colorFromString = (0, import__.default)("white"), expectedInt = 4294967295;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    }), it("should convert black", function() {
      var colorFromString = (0, import__.default)("black"), expectedInt = 4278190080;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    }), it("should convert transparent", function() {
      var colorFromString = (0, import__.default)("transparent"), expectedInt = 0;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    });
  }), describe("RGB strings", function() {
    it("should convert rgb(x, y, z)", function() {
      var colorFromString = (0, import__.default)("rgb(10, 20, 30)"), expectedInt = 4278850590;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    });
  }), describe("RGBA strings", function() {
    it("should convert rgba(x, y, z, a)", function() {
      var colorFromString = (0, import__.default)("rgba(10, 20, 30, 0.4)"), expectedInt = 1711936542;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    });
  }), describe("HSL strings", function() {
    it("should convert hsl(x, y%, z%)", function() {
      var colorFromString = (0, import__.default)("hsl(318, 69%, 55%)"), expectedInt = 4292558252;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    });
  }), describe("HSLA strings", function() {
    it("should convert hsla(x, y%, z%, a)", function() {
      var colorFromString = (0, import__.default)("hsla(318, 69%, 55%, 0.25)"), expectedInt = 1088109996;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    });
  }), describe("hex strings", function() {
    it("should convert #xxxxxx", function() {
      var colorFromString = (0, import__.default)("#1e83c9"), expectedInt = 4280189897;
      expect(colorFromString).toEqual(platformSpecific(expectedInt));
    });
  });
});
//# sourceMappingURL=index-test.js.map
