import createEventHandle from "../createEventHandle/index";
import useLayoutEffect from "../useLayoutEffect/index";
import useStable from "../useStable/index";
function useEvent(event, options) {
  var targetListeners = useStable(function() {
    return /* @__PURE__ */ new Map();
  }), addListener = useStable(function() {
    var addEventListener = createEventHandle(event, options);
    return function(target, callback) {
      var removeTargetListener = targetListeners.get(target);
      removeTargetListener != null && removeTargetListener(), callback == null && targetListeners.delete(target);
      var removeEventListener = addEventListener(target, callback);
      return targetListeners.set(target, removeEventListener), removeEventListener;
    };
  });
  return useLayoutEffect(function() {
    return function() {
      targetListeners.forEach(function(removeListener) {
        removeListener();
      }), targetListeners.clear();
    };
  }, [
    targetListeners
  ]), addListener;
}
export {
  useEvent as default
};
//# sourceMappingURL=index.js.map
